<?php

namespace Drupal\menu_to_taxonomy;

use Drupal\Core\Menu\MenuLinkInterface;

/**
 * Class MenuToTaxonomyTermManager.
 *
 * @package Drupal\menu_to_taxonomy
 */
interface MenuToTaxonomyTermManagerInterface {

  /**
   * Clean up when a link is deleted.
   *
   * @param \Drupal\Core\Menu\MenuLinkInterface $link
   */
  public function deleteTermsForLink(MenuLinkInterface $link);

  /**
   * Clean up when a term is deleted.
   *
   * @param int $tid
   */
  public function delete($tid);

  /**
   * Updates/creates a linked term and saves a DB record for the menu link
   * plugin/tid link.
   *
   * @var string $link_id Plugin ID
   *
   * @throws \Exception
   */
  public function saveTermAndSyncRecord($link_id);

}
